=== debian/changelog ===
golang-github-roaringbitmap-roaring (0.4.7-1) unstable; urgency=medium

  * Initial release (Closes: #900211)

 -- Alexandre Viau <aviau@debian.org>  Sun, 27 May 2018 13:11:52 -0400
