=== debian/control ===
Source: golang-github-roaringbitmap-roaring
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Alexandre Viau <aviau@debian.org>
Build-Depends: debhelper (>= 11),
               dh-golang,
               golang-any,
               golang-github-smartystreets-goconvey-dev,
               golang-github-tinylib-msgp-dev,
               golang-github-glycerine-go-unsnap-stream-dev,
               golang-github-willf-bitset-dev
Standards-Version: 4.1.4
Homepage: https://github.com/RoaringBitmap/roaring
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-roaringbitmap-roaring
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-roaringbitmap-roaring.git
XS-Go-Import-Path: github.com/RoaringBitmap/roaring
Testsuite: autopkgtest-pkg-go

Package: golang-github-roaringbitmap-roaring-dev
Architecture: all
Depends: ${misc:Depends},
         golang-github-smartystreets-goconvey-dev,
         golang-github-tinylib-msgp-dev,
         golang-github-glycerine-go-unsnap-stream-dev,
         golang-github-willf-bitset-dev
Description: Roaring bitmaps in Go
 This is a go version of the Roaring bitmap data structure.
 .
 Roaring bitmaps are found to work well in many important applications:
 .
 Use Roaring for bitmap compression whenever possible. Do not
 use other bitmap compression methods (Wang et al., SIGMOD 2017
 (http://db.ucsd.edu/wp-content/uploads/2017/03/sidm338-wangA.pdf))
