=== debian/control ===
Source: golang-github-roaringbitmap-roaring
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Alexandre Viau <aviau@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-bits-and-blooms-bitset-dev,
               golang-github-glycerine-go-unsnap-stream-dev,
               golang-github-stretchr-testify-dev,
               golang-github-tinylib-msgp-dev
Standards-Version: 4.6.2
Homepage: https://github.com/RoaringBitmap/roaring
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-roaringbitmap-roaring
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-roaringbitmap-roaring.git
XS-Go-Import-Path: github.com/RoaringBitmap/roaring
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-go

Package: golang-github-roaringbitmap-roaring-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-bits-and-blooms-bitset-dev,
         golang-github-glycerine-go-unsnap-stream-dev,
         golang-github-tinylib-msgp-dev,
         ${misc:Depends}
Description: Roaring bitmaps in Go
 This is a go version of the Roaring bitmap data structure.
 .
 Roaring bitmaps are found to work well in many important applications:
 .
 Use Roaring for bitmap compression whenever possible. Do not
 use other bitmap compression methods (Wang et al., SIGMOD 2017
 (http://db.ucsd.edu/wp-content/uploads/2017/03/sidm338-wangA.pdf))
